Vimeo logo

Today we are delighted to announce the immediate availability of TubePress 4.2.0. The most exciting improvement in this release is support for version 3 of the Vimeo API. Vimeo has deprecated version 2 of their API and it will likely soon be disabled completely, so TubePress 4.2.0 is a critical milestone in the long-term stability of your Vimeo video galleries.

Please note that all TubePress Pro users that use Vimeo, including existing customers, will need to perform a one-time API setup that we have detailed here. This setup is required by Vimeo, but thankfully is relatively quick and easy.

The other big feature in TubePress 4.2.0 is support for automatic updates in WordPress. Our users have long been clamoring for this capability, and it should make upgrading TubePress completely painless.

Lastly, this version includes a handful of bug fixes, new translations for Slovak and Dutch, and it will be the last version of TubePress that can run under PHP 5.2 (future versions will require PHP 5.3.29 or higher).

You can download TubePress 4.2.0 today and find all the latest documentation on the support site. As usual, please don’t hesitate to contact us for anything.

Thanks for using TubePress!

TOP